<html>

<head>

<meta http-equiv="Content-Type" content="text/html; charset=<?=$charset?>">

<link href=images/style.css rel=stylesheet type=text/css>

<script language=javascript>

function chkform(){

	if(document.form.username.value==""){

		alert('请输入管理员名称！');

		document.form.username.focus();

		return false;

	}

	if(document.form.password.value==""){

		alert('请输入密码！');

		document.form.password.focus();

		return false;

	}

	if(document.form.repass.value==""){

		alert('请输入重复密码！');

		document.form.repass.focus();

		return false;

	}

	if(document.form.email.value==""){

		alert('请输入邮件！');

		document.form.email.focus();

		return false;

	}

}

</script>

</head>

<body>

<p class="add"><a href="<?=$_SERVER[PHP_SELF]?>">返回列表</a></p>

<form method=post onSubmit="return chkform()" name="form" action="admin.php?act=update&id=<?=$admin[userid]?>">

<div class="post_li">

	<ul>

		<li><h4>管理员名称</h4><?php echo $admin[username];?></li>

		<li><h4>密码</h4><input name="password" type="password" id="password" value=""></li>

		<li><h4>重复密码</h4><input name="repass" type="password" id="repass" value=""></li>

		<li><h4>邮箱</h4><input name="email" type="text" id="email" value="<?=$admin[email]?>"></li>

		<li><h4>权限</h4><?if($admin[is_admin]){

  

  echo "超级管理员拥有所有权限，无需设置";

  }else{

  if($_SESSION[adminid]==$admin[userid])

  {

  	echo "不能编辑自己的权限。";

  }else{

  ?>

<input type="checkbox" name="purview[]" value="config" <?php if(in_array('config',$purview))echo "checked";?> >

系统设置 

<input type="checkbox" name="purview[]" value="admin" <?php if(in_array('admin',$purview))echo "checked";?> >

管理员管理 

<input name="purview[]" type="checkbox" id="purview[]" value="admin_log" <?php if(in_array('admin_log',$purview))echo "checked";?> >

日志管理

<input name="purview[]" type="checkbox" id="purview[]" value="nav" <?php if(in_array('nav',$purview))echo "checked";?> >

导航设置 

<input name="purview[]" type="checkbox" id="purview[]" value="category" <?php if(in_array('category',$purview))echo "checked";?> >

券分类管理

<input name="purview[]" type="checkbox" id="purview[]" value="custom" <?php if(in_array('custom',$purview))echo "checked";?> >

券附加属性管理

<input name="purview[]" type="checkbox" id="purview[]" value="juan" <?php if(in_array('juan',$purview))echo "checked";?> >

券管理
<input name="purview[]" type="checkbox" id="purview[]" value="comment" <?php if(in_array('comment',$purview))echo "checked";?>>
券点评管理

<input name="purview[]" type="checkbox" id="purview[]" value="page" <?php if(in_array('page',$purview))echo "checked";?> >

单页管理

<input name="purview[]" type="checkbox" id="purview[]" value="comcat" <?php if(in_array('comcat',$purview))echo "checked";?> >

商家分类管理

<input name="purview[]" type="checkbox" id="purview[]" value="com" <?php if(in_array('com',$purview))echo "checked";?> >

商家管理

<input name="purview[]" type="checkbox" id="purview[]" value="database" <?php if(in_array('database',$purview))echo "checked";?> >

数据库管理<br />

<input name="purview[]" type="checkbox" id="purview[]" value="member" <?php if(in_array('member',$purview))echo "checked";?> >

会员管理

<input name="purview[]" type="checkbox" id="purview[]" value="ap" <?php if(in_array('ap',$purview))echo "checked";?> >
代理平台管理
<input name="purview[]" type="checkbox" id="purview[]" value="pay" <?php if(in_array('pay',$purview))echo "checked";?> >

财务管理

<?

}

}

?></li>

	</ul>

	<div class="clear h_1"></div>

	<div class="tc">

	<input type="hidden" name="token" value="<?php echo $CFG[crypt];?>" />

	<input type="submit" name="submit" value="提交" /><input type="reset" value="重置" > 

	</div>

</div>

</form>

</body>

</html>